import '@das-fed/ui/packages/components/notification/style.css';
import { notification as t } from "ant-design-vue";
import "ant-design-vue/es/notification/style/css";
import { setThemeRule as o } from "@das-fed/web/packages/theme/index";
import { setI18nRule as c, t as s } from "@das-fed/web/packages/i18n/index";
const a = () => {
  let i = document.getElementById("das-ui-notification-container");
  if (!i) {
    i = document.createElement("div"), i.id = "das-ui-notification-container", i.style.position = "relative", i.style.width = "100%", i.style.zIndex = "999999", document.body.appendChild(i);
    return;
  }
  return i;
};
a();
t.config({
  getContainer: a,
  maxCount: 3
});
const m = {
  success: (i) => {
    var n;
    return i.class = ((n = i.class) == null ? void 0 : n.concat(" das-ui-notification das-ui-notification-success")) || "das-ui-notification das-ui-notification-success", t.success(i);
  },
  error: (i) => {
    var n;
    return i.class = ((n = i.class) == null ? void 0 : n.concat(" das-ui-notification das-ui-notification-error")) || "das-ui-notification das-ui-notification-error", t.error(i);
  },
  info: (i) => {
    var n;
    return i.class = ((n = i.class) == null ? void 0 : n.concat(" das-ui-notification das-ui-notification-info")) || "das-ui-notification das-ui-notification-info", t.info(i);
  },
  warning: (i) => {
    var n;
    return i.class = ((n = i.class) == null ? void 0 : n.concat(" das-ui-notification das-ui-notification-warning")) || "das-ui-notification das-ui-notification-warning", t.warning(i);
  },
  warn: (i) => {
    var n;
    return i.class = ((n = i.class) == null ? void 0 : n.concat(" das-ui-notification das-ui-notification-warn")) || "das-ui-notification das-ui-notification-warn", t.warn(i);
  },
  open: (i) => {
    var n;
    return i.class = ((n = i.class) == null ? void 0 : n.concat(" das-ui-notification das-ui-notification-open")) || "das-ui-notification das-ui-notification-open", t.open(i);
  },
  primary(i) {
    var n;
    return i.class = ((n = i.class) == null ? void 0 : n.concat(" das-ui-notification das-ui-notification-primary")) || "das-ui-notification das-ui-notification-primary", t.open(i);
  },
  config: (i) => t.config(i),
  destroy: () => t.destroy(),
  close: (i) => t.close(i)
}, e = {
  "--das-ui-notification-font-size-sm": "12px",
  "--das-ui-notification-font-size-md": "14px",
  "--das-ui-notification-font-size-lg": "16px",
  "--das-ui-notification-normal-bg-color": "#fff",
  "--das-ui-notification-primary-bg-color": "#5582f3",
  "--das-ui-notification-close-hover-color": "#85b8ff",
  "--das-ui-notification-close-color": "#666666;"
}, r = { 通知: { "zh-CN": "通知", en: "Notification", _appCode: "framework" } };
c(r);
o(e);
const g = { name: `Notification ${s("通知")}` };
export {
  m as DasNotification,
  g as default
};
